BEEM - Android XMPP - Feature #29

Creation d'une session jingle et echange de donnees
03/02/2009 01:37 PM - Frédéric Barthéléry

Status: Assigned Start date:
Priority: Normal Due date:
Assignee: Nikita Kozlov % Done:
Category: XMPP-Jingle Estimated time:
Target version:

05/01/2009
05/31/2009
30%

120.00 hours

Description

Le client BEEM doit etre capable d'initier une session jingle avec un autre client et d'echanger des donnees avec celui ci. Ce client
peut etre un programme code pour des tests ou un vrai client jabber qui supporte jingle (empathy par exemple).
Je possede deja une partie du code pour l'initialisation de la session. Demander le moi avant de commencer la tache

Related issues:

Related to Patch #38: Patch Jingle pour manu qui est loin
Related to Feature #283: Voice Support

Has duplicate Feature #355: Jingle

Closed
New

New

03/06/2009 03/12/2009
07/13/2010
05/14/2011

History

#1 - 03/02/2009 01:38 PM - Frédéric Barthéléry

- Tracker changed from Bug to Feature

#2 - 03/02/2009 01:38 PM - Frédéric Barthéléry
- Priority changed from Normal to High

#3 - 03/06/2009 09:42 PM - Frédéric Barthéléry

- Target version set to Prototype before 1.5 - SFR_Version

#4 - 03/10/2009 04:04 PM - Frédéric Barthéléry

- Assignee set to Frédéric Barthéléry

#5 - 03/12/2009 12:33 PM - Nikita Kozlov

Je me lance sur cette tache si. Dit moi quoi faire Bart, je suis en attente de ta reponse.

#6 - 05/12/2009 03:25 PM - Nikita Kozlov

- Due date changed from 03/13/2009 to 05/17/2009

- Category set to XMPP-Jingle

- Assignee changed from Frédéric Barthéléry to Nikita Kozlov

- Priority changed from High to Urgent

- Target version changed from Prototype before 1.5 - SFR_Version to Prototype Technical assessement
- Start date changed from 03/02/2009 to 05/01/2009

- % Done changed from 0 to 10

- Estimated time changed from 40.00 h to 120.00 h

On a une base, le choix de la lib est jlibrtp pour le moment.
Les classes de bases sont la, il reste encore a tester et a faire un reel echange.
Mais niveau ouverture de session ca a I'air ok.

#7 - 05/18/2009 01:49 AM - Jean-Manuel Da Silva
- Due date changed from 05/17/2009 to 05/31/2009

#8 - 11/19/2009 11:22 AM - Nikita Kozlov
- % Done changed from 10 to 30

12/17/2025

1/2




Jlibrtp est optimisé a mort, ¢a n'alloue plus de mémoire dans tous les sens, c'est enfin assez stable pour faire un flux temps réél.
Les codecs sont Ok ainsi que le media streamer.

Reste plus qu'a finir la partie jingle, a mergé, et a commit/testé.
#9 - 11/19/2009 04:22 PM - Vincent Véronis

- Status changed from New to Assigned

- Target version deleted (Prototype Technical assessement)

#10 - 02/21/2012 02:34 PM - Frédéric Barthéléry

- Priority changed from Urgent to Normal
